# Event Platform Starter

This recipe is intended as a quick way to get started using Event Platform, its
companion theme Event Horizon, and a few Drupal CMS recipes to make your new
camp website as robust as possible.

For a full description of the recipe, visit the
[project page](https://www.drupal.org/project/event_platform_starter).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/event_platform_starter).


## Table of contents (optional)

- Requirements
- Application
- Troubleshooting
- FAQ
- Maintainers


## Requirements

This recipe requires a large number of dependencies. Pulling them in
automatically by using composer is strongly recommended.


## Application (IMPORTANT!!!)

In a perfect world, you could apply this recipe using the Project Browser or on
the command line using something like:
```drush recipe ../recipes/event_platform_starter```

Unfortunately, neither of those options work as of this writing. Project Browser
is not yet compatible with contrib recipes (unless hardcoded) and the recipe
runner in core does not yet have the same optimizations as the module installer
so applying a recipe with the full set of dependencies represented in this
recipe will not succeed.

Instead, you are advised to follow most of the steps manually:
```
drush en event_platform -y
drush en moderation_state_condition
drush thin event_horizon
drush config:set system.theme default event_horizon -y
drush en keysave
drush recipe ../recipes/drupal_cms_admin_ui
drush recipe ../recipes/drupal_cms_anti_spam
drush recipe ../recipes/drupal_cms_image
drush recipe ../recipes/drupal_cms_seo_basic
```

You can do the equivalent to the above through the UI, if you really have to
(except for the recipes). Some of the Drupal CMS recipes may fail to apply, with
an error like:
```The configuration 'field.storage.node.field_description' exists already and does
not match the recipe's configuration```

For now, ignore the errors and move on.

Unfortunately, the above won't give you the default content provided by this
recipe. You can try applying this recipe after manually installing the
depencies as described above, but YMMV.

## Maintainers (optional)

- Martin Anderson-Clutz - [mandclu](https://www.drupal.org/u/mandclu)
- Bernardo Martinez - [bernardm28](https://www.drupal.org/u/bernardm28)
